package hu.uw.pallergabor.ble.adparser;

/**
 * Created by paller on 2016.02.01..
 */
public class TypeLEBluetoothDeviceAddress extends AdElement {
    public TypeLEBluetoothDeviceAddress(byte data[], int pos, int len) {
        random = false;
        if( len < 7 ) {
            address = "<<Unknown>>";
        }
        StringBuffer addr = new StringBuffer();
        addAddrByte( addr,data[pos],false);
        addAddrByte( addr,data[pos+1],true);
        addAddrByte( addr,data[pos+2],true);
        addAddrByte( addr,data[pos+3],true);
        addAddrByte( addr,data[pos+4],true);
        addAddrByte( addr,data[pos+5],true);
        random = ( data[pos+6] & 0x01 ) != 0;
        address = new String( addr);
    }

    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append( "LE address: ");
        if( random )
            sb.append( "(random) ");
        else
            sb.append( "(public) ");
        sb.append( address);
        return new String(sb);
    }

    private void addAddrByte( StringBuffer addr,byte addrByte,boolean colonPrefix) {
        int v = ((int)addrByte) & 0xFF;
        if( colonPrefix )
            addr.append(":");
        addr.append(String.format("%02X", v));
    }

    public String getAddress() {
        return this.address;
    }

    public boolean getRandom() {return this.random; }

    String address;
    boolean random;

}
