package hu.uw.pallergabor.ble.adparser;

/**
 * Created by paller on 2016.02.01..
 */
public class TypeLERole extends AdElement {
    public TypeLERole( byte data[],int pos) {
        role = data[pos];
    }

    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append( "LE Role: ");
        switch( role ) {
            case 0x00:
                sb.append( "Only Peripheral Role");
                break;

            case 0x01:
                sb.append("Only Central Role");
                break;

            case 0x02:
                sb.append( "Peripheral and Central Role supported, Peripheral Role preferred");
                break;

            case 0x03:
                sb.append( "Peripheral and Central Role supported, Central Role preferred");
                break;

            default:
                sb.append("Unknown role ("+Integer.toString(role)+")");
                break;
        }
        return new String(sb);
    }

    public byte getLERole() {
        return role;
    }

    byte role;

}
