package hu.uw.pallergabor.ble.adparser;

/**
 * Created by paller on 2016.02.01..
 */
public class TypeServiceData32BitUUID extends AdElement {
    public TypeServiceData32BitUUID( byte data[], int pos, int len) {
        uuid = -1;
        if (len >= 4) {
            int v,ptr=pos;
            v= ((int)data[ptr]) & 0xFF;
            ptr++;
            v |= (((int)data[ptr]) & 0xFF ) << 8;
            ptr++;
            v |= (((int)data[ptr]) & 0xFF ) << 16;
            ptr++;
            v |= (((int)data[ptr]) & 0xFF ) << 24;
            uuid = v;
            int extdatalen = len - 4;
            extdata = new byte[extdatalen];
            for( int i = 0 ; i < extdatalen ; ++i )
                extdata[i] = data[pos+4+i];
        }
    }

    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append( "Service data: ");
        sb.append( "0x"+hex32(uuid));
        if( extdata.length > 0 ) {
            sb.append(" ");
            for( int i = 0 ; i < extdata.length ; ++i ) {
                if ( i > 0 )
                    sb.append(",");
                sb.append(hex8(extdata[i]));
            }
        }
        return new String(sb);
    }

    public int getUUID() {
        return uuid;
    }
    public byte[] getExtData() { return extdata; }

    int uuid;
    byte extdata[];

}
