package hu.uw.pallergabor.ble.adparser;

/**
 * Created by paller on 2016.02.01..
 */
public class TypeAdvertisingInterval extends AdElement {
    public TypeAdvertisingInterval(byte data[], int pos, int len) {
        int v = ((int)data[pos]) & 0xFF;
        if( len > 1 )
            v |= ((((int)data[pos+1]) & 0xFF) << 8 );
        advertisingInterval = v;
    }

    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("Advertising interval: ");
        float adv = (float)advertisingInterval * 0.625f;
        sb.append( Float.toString( adv));
        sb.append( "msec");
        return new String(sb);
    }

    int advertisingInterval;

}
