package hu.uw.pallergabor.ble.adparser;

/**
 * Created by paller on 2016.02.01..
 */
public class TypeServiceData128BitUUID extends AdElement {
    public TypeServiceData128BitUUID( byte data[], int pos, int len) {
        v1 = -1;
        v2 = -1;
        v3 = -1;
        v4 = -1;
        if (len >= 8) {
            int ptr = pos;
            v1 = ((int)data[ptr]) & 0xFF;
            ptr++;
            v1 |= (((int)data[ptr]) & 0xFF ) << 8;
            ptr++;
            v1 |= (((int)data[ptr]) & 0xFF ) << 16;
            ptr++;
            v1 |= (((int)data[ptr]) & 0xFF ) << 24;
            ptr++;
            v2 = ((int)data[ptr]) & 0xFF;
            ptr++;
            v2 |= (((int)data[ptr]) & 0xFF ) << 8;
            ptr++;
            v2 |= (((int)data[ptr]) & 0xFF ) << 16;
            ptr++;
            v2 |= (((int)data[ptr]) & 0xFF ) << 24;
            ptr++;
            v3 = ((int)data[ptr]) & 0xFF;
            ptr++;
            v3 |= (((int)data[ptr]) & 0xFF ) << 8;
            ptr++;
            v3 |= (((int)data[ptr]) & 0xFF ) << 16;
            ptr++;
            v3 |= (((int)data[ptr]) & 0xFF ) << 24;
            ptr++;
            v4 = ((int)data[ptr]) & 0xFF;
            ptr++;
            v4 |= (((int)data[ptr]) & 0xFF ) << 8;
            ptr++;
            v4 |= (((int)data[ptr]) & 0xFF ) << 16;
            ptr++;
            v4 |= (((int)data[ptr]) & 0xFF ) << 24;
            ptr++;
            int extdatalen = len - 8;
            extdata = new byte[extdatalen];
            for( int i = 0 ; i < extdatalen ; ++i )
                extdata[i] = data[pos+8+i];
        }
    }

    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append( "Service data: ");
        sb.append( "0x"+uuid128(v1,v2,v3,v4));
        if( extdata.length > 0 ) {
            sb.append(" ");
            for( int i = 0 ; i < extdata.length ; ++i ) {
                if ( i > 0 )
                    sb.append(",");
                sb.append(hex8(extdata[i]));
            }
        }
        return new String(sb);
    }

    public int[] getUUID() {
        int v[] = new int[4];
        v[0] = v1;
        v[1] = v2;
        v[2] = v3;
        v[3] = v4;
        return v;
    }

    public byte[] getExtData() { return extdata; }

    int v1,v2,v3,v4;
    byte extdata[];


}
